gtkmm: Gtk::IconView Class Reference

gtkmm 4.22.0

Public Types | Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::IconView Class Reference
Widgets

The IconView provides an alternative view of a list model. More...

`#include <gtkmm/iconview.h>`

Inheritance diagram for Gtk::IconView:
[legend]

## Public Types
enum class | DropPosition { DropPosition::NO_DROP , DropPosition::DROP_INTO , DropPosition::DROP_LEFT , DropPosition::DROP_RIGHT , DropPosition::DROP_ABOVE , DropPosition::DROP_BELOW }
| An enum for determining where a dropped item goes. More...
using | SlotForeach = sigc::slot<void(const TreeModel::Path&)>
| For instance, void on_foreach(const Gtk::TreeModel::Path& path);.
Public Types inherited from Gtk::Widget
using | PreferredSize = MinimumNatural<Requisition>
| Structure returned by the non-output-parameter overload of get_preferred_size().
using | SlotTick = sigc::slot<bool(const Glib::RefPtr<Gdk::FrameClock>&)>
| Callback type for adding a function to update animations.
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from Gtk::Accessible
enum class | Role { Role::ALERT , Role::ALERT_DIALOG , Role::BANNER , Role::BUTTON , Role::CAPTION , Role::CELL , Role::CHECKBOX , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::COMMAND , Role::COMPOSITE , Role::DIALOG , Role::DOCUMENT , Role::FEED , Role::FORM , Role::GENERIC , Role::GRID , Role::GRID_CELL , Role::GROUP , Role::HEADING , Role::IMG , Role::INPUT , Role::LABEL , Role::LANDMARK , Role::LEGEND , Role::LINK , Role::LIST , Role::LIST_BOX , Role::LIST_ITEM , Role::LOG , Role::MAIN , Role::MARQUEE , Role::MATH , Role::METER , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::MENU_ITEM_CHECKBOX , Role::MENU_ITEM_RADIO , Role::NAVIGATION , Role::NONE , Role::NOTE , Role::OPTION , Role::PRESENTATION , Role::PROGRESS_BAR , Role::RADIO , Role::RADIO_GROUP , Role::RANGE , Role::REGION , Role::ROW , Role::ROW_GROUP , Role::ROW_HEADER , Role::SCROLLBAR , Role::SEARCH , Role::SEARCH_BOX , Role::SECTION , Role::SECTION_HEAD , Role::SELECT , Role::SEPARATOR , Role::SLIDER , Role::SPIN_BUTTON , Role::STATUS , Role::STRUCTURE , Role::SWITCH , Role::TAB , Role::TABLE , Role::TAB_LIST , Role::TAB_PANEL , Role::TEXT_BOX , Role::TIME , Role::TIMER , Role::TOOLBAR , Role::TOOLTIP , Role::TREE , Role::TREE_GRID , Role::TREE_ITEM , Role::WIDGET , Role::WINDOW , Role::TOGGLE_BUTTON , Role::APPLICATION , Role::PARAGRAPH , Role::BLOCK_QUOTE , Role::ARTICLE , Role::COMMENT , Role::TERMINAL }
| The accessible role for a Gtk::Accessible implementation. More...
enum class | State { State::BUSY , State::CHECKED , State::DISABLED , State::EXPANDED , State::HIDDEN , State::INVALID , State::PRESSED , State::SELECTED , State::VISITED }
| The possible accessible states of a Gtk::Accessible. More...
enum class | Property { Property::AUTOCOMPLETE , Property::DESCRIPTION , Property::HAS_POPUP , Property::KEY_SHORTCUTS , Property::LABEL , Property::LEVEL , Property::MODAL , Property::MULTI_LINE , Property::MULTI_SELECTABLE , Property::ORIENTATION , Property::PLACEHOLDER , Property::READ_ONLY , Property::REQUIRED , Property::ROLE_DESCRIPTION , Property::SORT , Property::VALUE_MAX , Property::VALUE_MIN , Property::VALUE_NOW , Property::VALUE_TEXT , Property::HELP_TEXT }
| The possible accessible properties of a Gtk::Accessible. More...
enum class | Relation { Relation::ACTIVE_DESCENDANT , Relation::COL_COUNT , Relation::COL_INDEX , Relation::COL_INDEX_TEXT , Relation::COL_SPAN , Relation::CONTROLS , Relation::DESCRIBED_BY , Relation::DETAILS , Relation::ERROR_MESSAGE , Relation::FLOW_TO , Relation::LABELLED_BY , Relation::OWNS , Relation::POS_IN_SET , Relation::ROW_COUNT , Relation::ROW_INDEX , Relation::ROW_INDEX_TEXT , Relation::ROW_SPAN , Relation::SET_SIZE , Relation::LABEL_FOR , Relation::DESCRIPTION_FOR , Relation::CONTROLLED_BY , Relation::DETAILS_FOR , Relation::ERROR_MESSAGE_FOR , Relation::FLOW_FROM }
| The possible accessible relations of a Gtk::Accessible. More...
enum class | PlatformState { PlatformState::FOCUSABLE , PlatformState::FOCUSED , PlatformState::ACTIVE }
| The various platform states which can be queried using Gtk::Accessible::get_platform_state(). More...
enum class | AnnouncementPriority { AnnouncementPriority::LOW , AnnouncementPriority::MEDIUM , AnnouncementPriority::HIGH }
| The priority of an accessibility announcement. More...
Public Types inherited from Gtk::CellLayout
typedef sigc::slot< void(const TreeModel::const_iterator &)> | SlotCellData
Public Types inherited from Gtk::Scrollable
enum class | Policy { Policy::MINIMUM , Policy::NATURAL }
| Defines the policy to be used in a scrollable widget when updating the scrolled window adjustments in a given orientation. More...

## Public Member Functions
| IconView (IconView && src) noexcept
IconView & | operator= (IconView && src) noexcept
| IconView (const IconView &)=delete
IconView & | operator= (const IconView &)=delete
| ~IconView () noexcept override
GtkIconView * | gobj ()
| Provides access to the underlying C GObject.
const GtkIconView * | gobj () const
| Provides access to the underlying C GObject.
| IconView ()
| IconView (const Glib::RefPtr< TreeModel > & model)
| IconView (const Glib::RefPtr< CellArea > & cell_area)
void | set_model (const Glib::RefPtr< TreeModel > & model)
| Sets the model for a Gtk::IconView.
Glib::RefPtr< TreeModel > | get_model ()
| Returns the model the Gtk::IconView is based on.
Glib::RefPtr< const TreeModel > | get_model () const
| Returns the model the Gtk::IconView is based on.
void | unset_model ()
| Remove the model from the IconView.
void | set_text_column (int column)
| Sets the column with text for icon_view to be column.
void | set_text_column (const TreeModelColumnBase & model_column)
| Sets the column with text for icon_view to be model_column.
int | get_text_column () const
| Returns the column with text for icon_view.
void | set_markup_column (int column)
| Sets the column with markup information for icon_view to be column.
void | set_markup_column (const TreeModelColumnBase & column)
| Sets the column with markup information for icon_view to be column.
int | get_markup_column () const
| Returns the column with markup text for icon_view.
void | set_pixbuf_column (int column)
| Sets the column with pixbufs for icon_view to be column.
void | set_pixbuf_column (const TreeModelColumnBase & column)
| Sets the column with pixbufs for icon_view to be column.
int | get_pixbuf_column () const
| Returns the column with pixbufs for icon_view.
void | set_item_orientation (Orientation orientation)
| Sets the property_item_orientation() property which determines whether the labels are drawn beside the icons instead of below.
Orientation | get_item_orientation () const
| Returns the value of the property_item_orientation() property which determines whether the labels are drawn beside the icons instead of below.
void | set_columns (int columns)
| Sets the property_columns() property which determines in how many columns the icons are arranged.
int | get_columns () const
| Returns the value of the property_columns() property.
void | set_item_width (int item_width)
| Sets the property_item_width() property which specifies the width to use for each item.
int | get_icon_width () const
| Returns the value of the property_item_width() property.
void | set_spacing (int spacing)
| Sets the property_spacing() property which specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.
int | get_spacing () const
| Returns the value of the property_spacing() property.
void | set_row_spacing (int row_spacing)
| Sets the property_row_spacing() property which specifies the space which is inserted between the rows of the icon view.
int | get_row_spacing () const
| Returns the value of the property_row_spacing() property.
void | set_column_spacing (int column_spacing)
| Sets the property_column_spacing() property which specifies the space which is inserted between the columns of the icon view.
int | get_column_spacing () const
| Returns the value of the property_column_spacing() property.
void | set_margin (int margin)
| Sets the property_margin() property which specifies the space which is inserted at the top, bottom, left and right of the icon view.
int | get_margin () const
| Returns the value of the property_margin() property.
void | set_item_padding (int item_padding)
| Sets the Gtk::IconView:item-padding property which specifies the padding around each of the icon view’s items.
int | get_item_padding () const
| Returns the value of the property_item_padding() property.
TreeModel::Path | get_path_at_pos (int x, int y) const
| Gets the path for the icon at the given position.
bool | get_item_at_pos (int x, int y, TreeModel::Path & path, CellRenderer *& cell) const
| Finds the path at the point (x, y), relative to widget coordinates.
bool | get_item_at_pos (int x, int y, TreeModel::Path & path) const
| Finds the path at the point (x, y), relative to widget coordinates.
bool | get_item_at_pos (int x, int y, CellRenderer *& cell) const
| Finds the path at the point (x, y), relative to widget coordinates.
bool | get_visible_range (TreeModel::Path & start_path, TreeModel::Path & end_path) const
| Sets start_path and end_path to be the first and last visible path.
void | set_activate_on_single_click (bool single=true)
| Causes the Gtk::IconView::item-activated signal to be emitted on a single click instead of a double click.
bool | get_activate_on_single_click () const
| Gets the setting set by set_activate_on_single_click().
void | selected_foreach (const SlotForeach & slot)
| Calls a function for each selected icon.
void | set_selection_mode (SelectionMode mode)
| Sets the selection mode of the icon_view.
SelectionMode | get_selection_mode () const
| Gets the selection mode of the icon_view.
void | select_path (const TreeModel::Path & path)
| Selects the row at path.
void | unselect_path (const TreeModel::Path & path)
| Unselects the row at path.
bool | path_is_selected (const TreeModel::Path & path) const
| Returns true if the icon pointed to by path is currently selected.
int | get_item_row (const TreeModel::Path & path) const
| Gets the row in which the item path is currently displayed.
int | get_item_column (const TreeModel::Path & path) const
| Gets the column in which the item path is currently displayed.
std::vector< TreePath > | get_selected_items () const
| Creates a list of paths of all selected items.
void | select_all ()
| Selects all the icons.
void | unselect_all ()
| Unselects all the icons.
void | item_activated (const TreeModel::Path & path)
| Activates the item determined by path.
void | set_cursor (const TreeModel::Path & path, CellRenderer & cell, bool start_editing)
| Sets the current keyboard focus to be at path, and selects it.
void | set_cursor (const TreeModel::Path & path, bool start_editing)
| A set_cursor() convenience overload.
bool | get_cursor (TreeModel::Path & path, CellRenderer *& cell) const
| Fills in path and cell with the current cursor path and cell.
bool | get_cursor (TreeModel::Path & path) const
| Fills in path and cell with the current cursor path and cell.
bool | get_cursor (CellRenderer *& cell) const
| Fills in path and cell with the current cursor path and cell.
void | scroll_to_path (const TreeModel::Path & path, bool use_align, float row_align, float col_align)
| Moves the alignments of icon_view to the position specified by path.
void | enable_model_drag_source (const Glib::RefPtr< const Gdk::ContentFormats > & formats, Gdk::ModifierType start_button_mask=static_cast< Gdk::ModifierType >(GDK_MODIFIER_MASK), Gdk::DragAction actions=Gdk::DragAction::COPY|Gdk::DragAction::MOVE)
| Turns icon_view into a drag source for automatic DND.
void | enable_model_drag_dest (const Glib::RefPtr< const Gdk::ContentFormats > & formats, Gdk::DragAction actions=Gdk::DragAction::COPY|Gdk::DragAction::MOVE)
| Turns icon_view into a drop destination for automatic DND.
void | unset_model_drag_source ()
| Undoes the effect of enable_model_drag_source().
void | unset_model_drag_dest ()
| Undoes the effect of enable_model_drag_dest().
void | set_reorderable (bool reorderable=true)
| This function is a convenience function to allow you to reorder models that support the Gtk::TreeDragSourceIface and the Gtk::TreeDragDestIface.
bool | get_reorderable () const
| Retrieves whether the user can reorder the list via drag-and-drop.
void | set_drag_dest_item (const TreeModel::Path & path, DropPosition pos)
| Sets the item that is highlighted for feedback.
void | get_drag_dest_item (TreeModel::Path & path, DropPosition & pos) const
| Gets information about the item that is highlighted for feedback.
void | get_drag_dest_item (TreeModel::Path & path) const
| Gets information about the item that is highlighted for feedback.
void | get_drag_dest_item (DropPosition & pos) const
| Gets information about the item that is highlighted for feedback.
bool | get_dest_item_at_pos (int drag_x, int drag_y, TreeModel::Path & path, DropPosition & pos) const
| Determines the destination item for a given position.
bool | get_dest_item_at_pos (int drag_x, int drag_y, TreeModel::Path & path) const
| Determines the destination item for a given position.
bool | get_dest_item_at_pos (int drag_x, int drag_y, DropPosition & pos) const
| Determines the destination item for a given position.
Glib::RefPtr< Gdk::Paintable > | create_drag_icon (const TreeModel::Path & path) const
| Creates a Gdk::Paintable representation of the item at path.
bool | get_cell_rect (const TreeModel::Path & path, const CellRenderer & cell, Gdk::Rectangle & rect) const
| Fills the bounding rectangle in widget coordinates for the cell specified by path and cell.
bool | get_cell_rect (const TreeModel::Path & path, Gdk::Rectangle & rect) const
| A get_cell_rect() convenience overload.
void | set_tooltip_item (const Glib::RefPtr< Tooltip > & tooltip, const TreeModel::Path & path)
| Sets the tip area of tooltip to be the area covered by the item at path.
void | set_tooltip_cell (const Glib::RefPtr< Tooltip > & tooltip, const TreeModel::Path & path, CellRenderer & cell)
| Sets the tip area of tooltip to the area which cell occupies in the item pointed to by path.
void | set_tooltip_cell (const Glib::RefPtr< Tooltip > & tooltip, const TreeModel::Path & path)
| Sets the tip area of tooltip to the area occupied by the item pointed to by path.
bool | get_tooltip_context_path (int x, int y, bool keyboard_tip, TreeModel::Path & path)
| This function is supposed to be used in a Gtk::Widget::query-tooltip signal handler for Gtk::IconView.
bool | get_tooltip_context_iter (int x, int y, bool keyboard_tip, Gtk::TreeModel::iterator & iter)
| This function is supposed to be used in a Gtk::Widget::query-tooltip signal handler for Gtk::IconView.
void | set_tooltip_column (int column)
| If you only plan to have simple (text-only) tooltips on full items, you can use this function to have Gtk::IconView handle these automatically for you.
int | get_tooltip_column () const
| Returns the column of icon_view’s model which is being used for displaying tooltips on icon_view’s rows.
Glib::SignalProxy< void(const TreeModel::Path &)> | signal_item_activated ()
Glib::SignalProxy< void()> | signal_selection_changed ()
Glib::PropertyProxy< int > | property_pixbuf_column ()
| The property_pixbuf_column() property contains the number of the model column containing the pixbufs which are displayed.
Glib::PropertyProxy_ReadOnly< int > | property_pixbuf_column () const
| The property_pixbuf_column() property contains the number of the model column containing the pixbufs which are displayed.
Glib::PropertyProxy< int > | property_text_column ()
| The property_text_column() property contains the number of the model column containing the texts which are displayed.
Glib::PropertyProxy_ReadOnly< int > | property_text_column () const
| The property_text_column() property contains the number of the model column containing the texts which are displayed.
Glib::PropertyProxy< int > | property_markup_column ()
| The property_markup_column() property contains the number of the model column containing markup information to be displayed.
Glib::PropertyProxy_ReadOnly< int > | property_markup_column () const
| The property_markup_column() property contains the number of the model column containing markup information to be displayed.
Glib::PropertyProxy< SelectionMode > | property_selection_mode ()
| The property_selection_mode() property specifies the selection mode of icon view.
Glib::PropertyProxy_ReadOnly< SelectionMode > | property_selection_mode () const
| The property_selection_mode() property specifies the selection mode of icon view.
Glib::PropertyProxy< Orientation > | property_item_orientation ()
| The item-orientation property specifies how the cells (i.e. the icon and the text) of the item are positioned relative to each other.
Glib::PropertyProxy_ReadOnly< Orientation > | property_item_orientation () const
| The item-orientation property specifies how the cells (i.e. the icon and the text) of the item are positioned relative to each other.
Glib::PropertyProxy< Glib::RefPtr< TreeModel > > | property_model ()
| The model of the icon view.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< TreeModel > > | property_model () const
| The model of the icon view.
Glib::PropertyProxy< int > | property_columns ()
| The columns property contains the number of the columns in which the items should be displayed.
Glib::PropertyProxy_ReadOnly< int > | property_columns () const
| The columns property contains the number of the columns in which the items should be displayed.
Glib::PropertyProxy< int > | property_item_width ()
| The item-width property specifies the width to use for each item.
Glib::PropertyProxy_ReadOnly< int > | property_item_width () const
| The item-width property specifies the width to use for each item.
Glib::PropertyProxy< int > | property_spacing ()
| The spacing property specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.
Glib::PropertyProxy_ReadOnly< int > | property_spacing () const
| The spacing property specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.
Glib::PropertyProxy< int > | property_row_spacing ()
| The row-spacing property specifies the space which is inserted between the rows of the icon view.
Glib::PropertyProxy_ReadOnly< int > | property_row_spacing () const
| The row-spacing property specifies the space which is inserted between the rows of the icon view.
Glib::PropertyProxy< int > | property_column_spacing ()
| The column-spacing property specifies the space which is inserted between the columns of the icon view.
Glib::PropertyProxy_ReadOnly< int > | property_column_spacing () const
| The column-spacing property specifies the space which is inserted between the columns of the icon view.
Glib::PropertyProxy< int > | property_margin ()
| The margin property specifies the space which is inserted at the edges of the icon view.
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
| The margin property specifies the space which is inserted at the edges of the icon view.
Glib::PropertyProxy< int > | property_reorderable ()
| The reorderable property specifies if the items can be reordered by DND.
Glib::PropertyProxy_ReadOnly< int > | property_reorderable () const
| The reorderable property specifies if the items can be reordered by DND.
Glib::PropertyProxy< int > | property_tooltip_column ()
| The column of the icon view model which is being used for displaying tooltips on it's rows.
Glib::PropertyProxy_ReadOnly< int > | property_tooltip_column () const
| The column of the icon view model which is being used for displaying tooltips on it's rows.
Glib::PropertyProxy< int > | property_item_padding ()
| The item-padding property specifies the padding around each of the icon view's item.
Glib::PropertyProxy_ReadOnly< int > | property_item_padding () const
| The item-padding property specifies the padding around each of the icon view's item.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< CellArea > > | property_cell_area () const
| The Gtk::CellArea used to layout cell renderers for this view.
Glib::PropertyProxy< bool > | property_activate_on_single_click ()
| The activate-on-single-click property specifies whether the "item-activated" signal will be emitted after a single click.
Glib::PropertyProxy_ReadOnly< bool > | property_activate_on_single_click () const
| The activate-on-single-click property specifies whether the "item-activated" signal will be emitted after a single click.
Public Member Functions inherited from Gtk::Widget
| Widget (Widget && src) noexcept
Widget & | operator= (Widget && src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget.
GtkWidget * | gobj ()
| Provides access to the underlying C GObject.
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ConstraintTarget > | make_refptr_constrainttarget ()
| Converts this widget to a reference counted Gtk::ConstraintTarget.
Glib::RefPtr< const ConstraintTarget > | make_refptr_constrainttarget () const
| Converts this widget to a reference counted Gtk::ConstraintTarget.
void | show ()
| Flags a widget to be displayed.
void | hide ()
| Reverses the effects of [method.Gtk.Widget.show].
void | queue_draw ()
| Schedules this widget to be redrawn.
void | queue_resize ()
| Flags a widget to have its size renegotiated.
void | queue_allocate ()
| Flags the widget for a rerun of the size_allocate_vfunc() function.
void | size_allocate (const Allocation & allocation, int baseline)
| Allocates widget with a transformation that translates the origin to the position in allocation.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | measure (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
| Measures widget in the orientation orientation and for the given for_size.
Measurements | measure (Orientation orientation, int for_size=-1) const
| Like the other overload of measure() but returns a structure holding the sizes/baselines instead of using output parameters.
void | get_preferred_size (Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management.
PreferredSize | get_preferred_size () const
| Like the other overload of get_preferred_size() but returns a structure holding the sizes instead of using output parameters.
void | set_layout_manager (const Glib::RefPtr< LayoutManager > & layout_manager)
| Sets the layout manager to use for measuring and allocating children of the widget.
void | unset_layout_manager ()
| Undoes the effect of a previous call to set_layout_manager().
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the layout manager of the widget.
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the layout manager of the widget.
bool | mnemonic_activate (bool group_cycling)
| Emits the signal_mnemonic_activate() signal.
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them.
void | set_can_focus (bool can_focus=true)
| Sets whether the input focus can enter the widget or any of its children.
bool | get_can_focus () const
| Determines whether the input focus can enter the widget or any of its children.
void | set_focusable (bool focusable=true)
| Sets whether the widget can own the input focus.
bool | get_focusable () const
| Determines whether the widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus.
bool | grab_focus ()
| Causes widget to have the keyboard focus for the window that it belongs to.
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse.
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse.
void | set_can_target (bool can_target=true)
| Sets whether the widget can be the target of pointer events.
bool | get_can_target () const
| Queries whether the widget can be the target of pointer events.
bool | has_default () const
| Determines whether the widget is the current default widget within its toplevel.
void | set_receives_default (bool receives_default=true)
| Sets whether the widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether the widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
void | set_name (const Glib::ustring & name)
| Sets a widgets name.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state_flags (StateFlags flags, bool clear=true)
| Turns on flag values in the current widget state.
void | unset_state_flags (StateFlags flags)
| Turns off flag values for the current widget state.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of the widget.
bool | get_sensitive () const
| Returns the widget’s sensitivity.
bool | is_sensitive () const
| Returns the widget’s effective sensitivity.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible.
bool | is_drawable () const
| Determines whether the widget can be drawn to.
bool | get_realized () const
| Determines whether the widget is realized.
bool | get_mapped () const
| Returns whether the widget is mapped.
void | set_child_visible (bool visible=true)
| Sets whether the widget should be mapped along with its parent.
bool | get_child_visible () const
| Gets the value set with set_child_visible().
int | get_allocated_width () const
| Returns the width that has currently been allocated to the widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to the widget.
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to the widget.
Allocation | get_allocation () const
| Retrieves the widget’s location.
std::optional< Gdk::Graphene::Rect > | compute_bounds (const Widget & target) const
| Computes the bounds for the widget in the coordinate space of target.
std::optional< Gdk::Graphene::Point > | compute_point (const Widget & target, const Gdk::Graphene::Point & point) const
| Translates the given point in the widget's coordinates to coordinates relative to target’s coordinate system.
int | get_width () const
| Returns the content width of the widget.
int | get_height () const
| Returns the content height of the widget.
int | get_baseline () const
| Returns the baseline that has currently been allocated to the widget.
int | get_size (Orientation orientation) const
| Returns the content width or height of the widget.
Widget * | get_parent ()
| Returns the parent widget of the widget.
const Widget * | get_parent () const
| Returns the parent widget of the widget.
Root * | get_root ()
| Returns the Gtk::Root widget of the widget.
const Root * | get_root () const
| Returns the Gtk::Root widget of the widget.
Native * | get_native ()
| Returns the nearest Gtk::Native ancestor of the widget.
const Native * | get_native () const
| Returns the nearest Gtk::Native ancestor of the widget.
bool | child_focus (DirectionType direction)
| Called by widgets as the user moves around the window using keyboard shortcuts.
bool | keynav_failed (DirectionType direction)
| Emits the signal_keynav_failed() signal on the widget.
void | error_bell ()
| Notifies the user about an input-related error on the widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of the widget.
void | get_size_request (int & width, int & height) const
| Gets the size request that was explicitly set for the widget.
Requisition | get_size_request () const
| Like the other overload of get_size_request() but returns a structure holding the sizes instead of using output parameters.
void | set_opacity (double opacity)
| Requests the widget to be rendered partially transparent.
double | get_opacity () const
| Fetches the requested opacity for the widget.
void | set_overflow (Overflow overflow)
| Sets how the widget treats content that is drawn outside the it's content area.
Overflow | get_overflow () const
| Returns the widget’s overflow value.
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of the widget with type widget_type.
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of the widget with type widget_type.
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the display for the window that the widget belongs to.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the display for the window that the widget belongs to.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for the widget.
Glib::RefPtr< Gdk::Clipboard > | get_clipboard ()
| Gets the clipboard object for the widget.
Glib::RefPtr< const Gdk::Clipboard > | get_clipboard () const
| Gets the clipboard object for the widget.
Glib::RefPtr< Gdk::Clipboard > | get_primary_clipboard ()
| Gets the primary clipboard of the widget.
Glib::RefPtr< const Gdk::Clipboard > | get_primary_clipboard () const
| Gets the primary clipboard of the widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether the hexpand flag has been explicitly set.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether the vexpand flag has been explicitly set.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag will be used.
bool | compute_expand (Orientation orientation)
| Computes whether a parent widget should give this widget extra space when possible.
void | set_expand (bool expand=true)
| Sets whether the widget would like any available extra space in both directions.
Align | get_halign () const
| Gets the horizontal alignment of the widget.
void | set_halign (Align align)
| Sets the horizontal alignment of the widget.
Align | get_valign () const
| Gets the vertical alignment of the widget.
void | set_valign (Align align)
| Sets the vertical alignment of the widget.
int | get_margin_start () const
| Gets the start margin of the widget.
void | set_margin_start (int margin)
| Sets the start margin of the widget.
int | get_margin_end () const
| Gets the end margin of the widget.
void | set_margin_end (int margin)
| Sets the end margin of the widget.
int | get_margin_top () const
| Gets the top margin of the widget.
void | set_margin_top (int margin)
| Sets the top margin of the widget.
int | get_margin_bottom () const
| Gets the bottom margin of the widget.
void | set_margin_bottom (int margin)
| Sets the bottom margin of the widget.
void | set_margin (int margin)
| Set all 4 margins to the same value.
bool | is_ancestor (Widget & ancestor) const
| Determines whether the widget is a descendent of ancestor.
bool | translate_coordinates (Widget & dest_widget, double src_x, double src_y, double & dest_x, double & dest_y)
| Translates coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations.
bool | contains (double x, double y) const
| Tests if a given point is contained in the widget.
Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT)
| Finds the descendant of the widget closest to a point.
const Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT) const
| Finds the descendant of the widget closest to a point.
void | add_controller (const Glib::RefPtr< EventController > & controller)
| Adds an event controller to the widget.
void | remove_controller (const Glib::RefPtr< EventController > & controller)
| Removes an event controller from the widget.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context that is configured for the widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context that is configured for the widget.
void | set_font_options (const Cairo::FontOptions & options)
| Sets the cairo_font_options_t used for text rendering in the widget.
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options().
Cairo::FontOptions | get_font_options () const
| Returns the cairo_font_options_t of the widget.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring & text)
| Creates a new Pango::Layout that is configured for the widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on the widget.
TextDirection | get_direction () const
| Gets the reading direction for the widget.
void | set_cursor (const Glib::RefPtr< Gdk::Cursor > & cursor)
| Sets the cursor to be shown when the pointer hovers over the widget.
void | set_cursor (const Glib::ustring & name={})
| Sets a named cursor to be shown when pointer devices point towards the widget.
Glib::RefPtr< Gdk::Cursor > | get_cursor ()
| Gets the cursor set on the widget.
Glib::RefPtr< const Gdk::Cursor > | get_cursor () const
| Gets the cursor set on the widget.
std::vector< Widget * > | list_mnemonic_labels ()
| Returns the widgets for which this widget is the target of a mnemonic.
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns the widgets for which this widget is the target of a mnemonic.
void | add_mnemonic_label (Widget & label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget & label)
| Removes a widget from the list of mnemonic labels for this widget.
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a drag movement has passed the GTK drag threshold.
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget.
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget.
void | set_parent (Widget & parent)
| Sets the parent widget of the widget.
void | unparent ()
| Removes widget from its parent.
void | map ()
| Causes a widget to be mapped if it isn’t already.
void | unmap ()
| Causes a widget to be unmapped if it’s currently mapped.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display of the widget.
void | set_tooltip_text (const Glib::ustring & text)
| Sets the contents of the tooltip for the widget.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for the widget.
void | set_tooltip_markup (const Glib::ustring & markup)
| Sets the contents of the tooltip for widget.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for the widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on the widget.
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to the widget.
Glib::RefPtr< const StyleContext > | get_style_context () const
| Returns the style context associated to the widget.
guint | add_tick_callback (const SlotTick & slot)
| Queues an animation frame update and adds a callback to be called before each frame.
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback().
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts an action group into the widget's actions.
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget.
bool | activate_action (const Glib::ustring & name, const Glib::VariantBase & args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it.
void | activate_default ()
| Activates the default.activate action for the widget.
void | set_font_map (const Glib::RefPtr< Pango::FontMap > & font_map)
| Sets the font map to use for text rendering in the widget.
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map of the widget.
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map of the widget.
Widget * | get_first_child ()
| Returns the widget’s first child.
const Widget * | get_first_child () const
| Returns the widget’s first child.
Widget * | get_last_child ()
| Returns the widget’s last child.
const Widget * | get_last_child () const
| Returns the widget’s last child.
Widget * | get_next_sibling ()
| Returns the widget’s next sibling.
const Widget * | get_next_sibling () const
| Returns the widget’s next sibling.
Widget * | get_prev_sibling ()
| Returns the widget’s previous sibling.
const Widget * | get_prev_sibling () const
| Returns the widget’s previous sibling.
std::vector< Widget * > | get_children ()
| Gets a vector of the widgetʼs current children, from first child to last.
std::vector< const Widget * > | get_children () const
| Gets a vector of the widgetʼs current children, from first child to last.
Glib::RefPtr< Gio::ListModel > | observe_children ()
| Returns a list model to track the children of the widget.
Glib::RefPtr< const Gio::ListModel > | observe_children () const
| Returns a list model to track the children of the widget.
Glib::RefPtr< Gio::ListModel > | observe_controllers ()
| Returns a list model to track the event controllers of the widget.
Glib::RefPtr< const Gio::ListModel > | observe_controllers () const
| Returns a list model to track the event controllers of the widget.
void | insert_after (Widget & parent, const Widget & previous_sibling)
| Inserts the Widget into the child widget list of parent after previous_sibling.
void | insert_before (Widget & parent, const Widget & next_sibling)
| Inserts the Widget into the child widget list of parent before next_sibling.
void | insert_at_start (Widget & parent)
| Inserts the Widget at the beginning of the child widget list of parent.
void | insert_at_end (Widget & parent)
| Inserts the Widget at the end of the child widget list of parent.
void | snapshot_child (Widget & child, const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Snapshots a child of the widget.
bool | should_layout () const
| Returns whether the widget should contribute to the measuring and allocation of its parent.
Glib::ustring | get_css_name () const
| Returns the CSS name of the widget.
void | add_css_class (const Glib::ustring & css_class)
| Adds a style class to the widget.
void | remove_css_class (const Glib::ustring & css_class)
| Removes a style from the widget.
bool | has_css_class (const Glib::ustring & css_class) const
| Returns whether a style class is currently applied to the widget.
std::vector< Glib::ustring > | get_css_classes () const
| Returns the list of style classes applied to the widget.
void | set_css_classes (const std::vector< Glib::ustring > & classes)
| Replaces the current style classes of the widget with classes.
Gdk::RGBA | get_color () const
| Gets the current foreground color for the widget's CSS style.
void | set_limit_events (bool limit_events=true)
| Sets whether the widget acts like a modal dialog, with respect to event delivery.
bool | get_limit_events () const
| Gets the value of the property_limit_events() property.
Glib::SignalProxy< void()> | signal_show ()
Glib::SignalProxy< void()> | signal_hide ()
Glib::SignalProxy< void()> | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy< void()> | signal_unmap ()
Glib::SignalProxy< void()> | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy< void()> | signal_unrealize ()
Glib::SignalProxy< void(Gtk::StateFlags)> | signal_state_flags_changed ()
Glib::SignalProxy< void(TextDirection)> | signal_direction_changed ()
Glib::SignalProxy< bool(bool)> | signal_mnemonic_activate ()
Glib::SignalProxy< void()> | signal_destroy ()
| Emitted during the dispose phase.
Glib::SignalProxy< bool(int, int, bool, const Glib::RefPtr< Tooltip > &)> | signal_query_tooltip ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly< Root * > | property_root () const
| The Gtk::Root widget of the widget tree containing this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Overrides for width request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Overrides for width request of the widget.
Glib::PropertyProxy< int > | property_height_request ()
| Overrides for height request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Overrides for height request of the widget.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_can_target ()
| Whether the widget can receive pointer events.
Glib::PropertyProxy_ReadOnly< bool > | property_can_target () const
| Whether the widget can receive pointer events.
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy< bool > | property_focusable ()
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Cursor > > | property_cursor ()
| The cursor used by widget.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Cursor > > | property_cursor () const
| The cursor used by widget.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the hexpand property.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the hexpand property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the vexpand property.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the vexpand property.
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget.
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget.
Glib::PropertyProxy< Overflow > | property_overflow ()
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< Overflow > | property_overflow () const
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_css_name () const
| The name of this widget in the CSS tree.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_css_classes ()
| A list of css classes applied to this widget.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_css_classes () const
| A list of css classes applied to this widget.
Glib::PropertyProxy< Glib::RefPtr< LayoutManager > > | property_layout_manager ()
| The Gtk::LayoutManager instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The Gtk::LayoutManager instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy< bool > | property_limit_events ()
| Makes this widget act like a modal dialog, with respect to event delivery.
Glib::PropertyProxy_ReadOnly< bool > | property_limit_events () const
| Makes this widget act like a modal dialog, with respect to event delivery.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible && src) noexcept
Accessible & | operator= (Accessible && src) noexcept
| ~Accessible () noexcept override
GtkAccessible * | gobj ()
| Provides access to the underlying C GObject.
const GtkAccessible * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ATContext > | get_at_context ()
| Retrieves the implementation for the given accessible object.
Glib::RefPtr< const ATContext > | get_at_context () const
| Retrieves the implementation for the given accessible object.
bool | get_platform_state (PlatformState state) const
| Queries a platform state, such as focus.
void | update_platform_state (PlatformState state)
| Informs ATs that the platform state has changed.
Glib::RefPtr< Accessible > | get_accessible_parent ()
| Retrieves the accessible parent for an accessible object.
Glib::RefPtr< const Accessible > | get_accessible_parent () const
| Retrieves the accessible parent for an accessible object.
void | set_accessible_parent (const Glib::RefPtr< Accessible > & parent, const Glib::RefPtr< Accessible > & next_sibling)
| Sets the parent and sibling of an accessible object.
Glib::RefPtr< Accessible > | get_first_accessible_child ()
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< const Accessible > | get_first_accessible_child () const
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< Accessible > | get_next_accessible_sibling ()
| Retrieves the next accessible sibling of an accessible object.
Glib::RefPtr< const Accessible > | get_next_accessible_sibling () const
| Retrieves the next accessible sibling of an accessible object.
void | update_next_accessible_sibling (const Glib::RefPtr< Accessible > & new_sibling)
| Updates the next accessible sibling.
bool | get_bounds (int & x, int & y, int & width, int & height) const
| Queries the coordinates and dimensions of this accessible.
Glib::ustring | get_accessible_id () const
| Retrieves the accessible identifier for the accessible object.
Role | get_accessible_role () const
| Retrieves the accessible role of an accessible object.
void | update_state (State state, const Glib::ValueBase & value)
| Updates an accessible state.
void | update_property (Property property, const Glib::ValueBase & value)
| Updates an accessible property.
void | update_relation (Relation relation, const Glib::ValueBase & value)
| Updates an accessible relation.
void | reset_state (State state)
| Resets the accessible state to its default value.
void | reset_property (Property property)
| Resets the accessible property to its default value.
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value.
void | announce (const Glib::ustring & message, AnnouncementPriority priority)
| Requests the user's screen reader to announce the given message.
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given Gtk::Accessible implementation.
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given Gtk::Accessible implementation.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object.
Public Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget (ConstraintTarget && src) noexcept
ConstraintTarget & | operator= (ConstraintTarget && src) noexcept
| ~ConstraintTarget () noexcept override
GtkConstraintTarget * | gobj ()
| Provides access to the underlying C GObject.
const GtkConstraintTarget * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Gtk::CellLayout
| CellLayout (CellLayout && src) noexcept
CellLayout & | operator= (CellLayout && src) noexcept
| ~CellLayout () noexcept override
GtkCellLayout * | gobj ()
| Provides access to the underlying C GObject.
const GtkCellLayout * | gobj () const
| Provides access to the underlying C GObject.
template<class ColumnType>
void | pack_start (const TreeModelColumn< ColumnType > & model_column, bool expand=true)
void | pack_start (CellRenderer & cell, bool expand=true)
| Packs the cell into the beginning of cell_layout.
void | pack_end (CellRenderer & cell, bool expand=true)
| Adds the cell to the end of cell_layout.
std::vector< CellRenderer * > | get_cells ()
| Returns the cell renderers which have been added to cell_layout.
std::vector< const CellRenderer * > | get_cells () const
| Returns the cell renderers which have been added to cell_layout.
CellRenderer * | get_first_cell ()
| Gets the CellRenderer for the first column if any has been added, or nullptr otherwise.
const CellRenderer * | get_first_cell () const
| Gets the CellRenderer for the first column if any has been added, or nullptr otherwise.
void | clear ()
| Unsets all the mappings on all renderers on cell_layout and removes all renderers from cell_layout.
void | add_attribute (CellRenderer & cell, const Glib::ustring & attribute, int column)
| Adds an attribute mapping to the list in cell_layout.
void | add_attribute (const Glib::PropertyProxy_Base & property, const TreeModelColumnBase & column)
void | add_attribute (CellRenderer & cell, const Glib::ustring & attribute, const TreeModelColumnBase & column)
void | set_cell_data_func (CellRenderer & cell, const SlotCellData & slot)
void | clear_attributes (CellRenderer & cell)
| Clears all existing attributes previously set with set_attributes().
void | reorder (CellRenderer & cell, int position)
| Re-inserts cell at position.
Glib::RefPtr< CellArea > | get_area ()
| Returns the underlying Gtk::CellArea which might be cell_layout if called on a Gtk::CellArea or might be nullptr if no Gtk::CellArea is used by cell_layout.
Glib::RefPtr< const CellArea > | get_area () const
| Returns the underlying Gtk::CellArea which might be cell_layout if called on a Gtk::CellArea or might be nullptr if no Gtk::CellArea is used by cell_layout.
template<class T_ModelColumnType>
void | pack_start (const TreeModelColumn< T_ModelColumnType > & column, bool expand)
Public Member Functions inherited from Gtk::Scrollable
| Scrollable (Scrollable && src) noexcept
Scrollable & | operator= (Scrollable && src) noexcept
| ~Scrollable () noexcept override
GtkScrollable * | gobj ()
| Provides access to the underlying C GObject.
const GtkScrollable * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Adjustment > | get_hadjustment ()
| Retrieves the Gtk::Adjustment used for horizontal scrolling.
Glib::RefPtr< const Adjustment > | get_hadjustment () const
| Retrieves the Gtk::Adjustment used for horizontal scrolling.
void | set_hadjustment (const Glib::RefPtr< Adjustment > & hadjustment)
| Sets the horizontal adjustment of the Gtk::Scrollable.
void | unset_hadjustment ()
| This method removes the hadjustment.
Glib::RefPtr< Adjustment > | get_vadjustment ()
| Retrieves the Gtk::Adjustment used for vertical scrolling.
Glib::RefPtr< const Adjustment > | get_vadjustment () const
| Retrieves the Gtk::Adjustment used for vertical scrolling.
void | set_vadjustment (const Glib::RefPtr< Adjustment > & vadjustment)
| Sets the vertical adjustment of the Gtk::Scrollable.
void | unset_vadjustment ()
| This method removes the vadjustment.
Policy | get_hscroll_policy () const
| Gets the horizontal Gtk::Scrollable::Policy.
void | set_hscroll_policy (Policy policy)
| Sets the Gtk::Scrollable::Policy.
Policy | get_vscroll_policy () const
| Gets the vertical Gtk::Scrollable::Policy.
void | set_vscroll_policy (Policy policy)
| Sets the Gtk::Scrollable::Policy.
bool | get_border (Border & border) const
| Returns the size of a non-scrolling border around the outside of the scrollable.
Glib::PropertyProxy< Glib::RefPtr< Adjustment > > | property_hadjustment ()
| Horizontal Gtk::Adjustment of the scrollable widget.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Adjustment > > | property_hadjustment () const
| Horizontal Gtk::Adjustment of the scrollable widget.
Glib::PropertyProxy< Glib::RefPtr< Adjustment > > | property_vadjustment ()
| Vertical Gtk::Adjustment of the scrollable widget.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Adjustment > > | property_vadjustment () const
| Vertical Gtk::Adjustment of the scrollable widget.
Glib::PropertyProxy< Policy > | property_hscroll_policy ()
| Determines when horizontal scrolling should start.
Glib::PropertyProxy_ReadOnly< Policy > | property_hscroll_policy () const
| Determines when horizontal scrolling should start.
Glib::PropertyProxy< Policy > | property_vscroll_policy ()
| Determines when vertical scrolling should start.
Glib::PropertyProxy_ReadOnly< Policy > | property_vscroll_policy () const
| Determines when vertical scrolling should start.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets.
static TextDirection | get_default_direction ()
| Obtains the default reading direction.
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::ConstraintTarget
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::CellLayout
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Scrollable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Gtk::IconView * | wrap (GtkIconView * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ConstraintTarget
Glib::RefPtr< Gtk::ConstraintTarget > | wrap (GtkConstraintTarget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::CellLayout
Glib::RefPtr< Gtk::CellLayout > | wrap (GtkCellLayout * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Scrollable
Glib::RefPtr< Gtk::Scrollable > | wrap (GtkScrollable * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Protected Member Functions inherited from Gtk::Widget
virtual void | root_vfunc ()
virtual void | unroot_vfunc ()
virtual void | size_allocate_vfunc (int width, int height, int baseline)
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | measure_vfunc (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
virtual bool | grab_focus_vfunc ()
virtual void | set_focus_child_vfunc (Widget * child)
| Sets the focused child of widget.
virtual void | compute_expand_vfunc (bool & hexpand_p, bool & vexpand_p)
virtual bool | contains_vfunc (double x, double y) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Widget ()
void | realize ()
| Creates the GDK resources associated with a widget.
void | unrealize ()
| Causes a widget to be unrealized.
void | realize_if_needed ()
void | set_focus_child (Widget & child)
| Set the focus child of the widget.
void | unset_focus_child ()
| Unsets the focus child of the widget.
Widget * | get_focus_child ()
| Returns the focus child of the widget.
const Widget * | get_focus_child () const
| Returns the focus child of the widget.
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_state_flags_changed (Gtk::StateFlags previous_state_flags)
| This is a default handler for the signal signal_state_flags_changed().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual bool | on_query_tooltip (int x, int y, bool keyboard_tooltip, const Glib::RefPtr< Tooltip > & tooltip)
| This is a default handler for the signal signal_query_tooltip().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::CellLayout
| CellLayout ()
| You should derive from this class to use it.
virtual void | pack_start_vfunc (CellRenderer * cell, bool expand)
virtual void | pack_end_vfunc (CellRenderer * cell, bool expand)
virtual void | clear_vfunc ()
virtual void | add_attribute_vfunc (CellRenderer * cell, const Glib::ustring & attribute, int column)
virtual void | clear_attributes_vfunc (CellRenderer * cell)
virtual void | reorder_vfunc (CellRenderer * cell, int position)
Protected Member Functions inherited from Gtk::Scrollable
| Scrollable ()
| You should derive from this class to use it.
virtual bool | get_border_vfunc (Border & border) const

## Detailed Description

The IconView provides an alternative view of a list model.

It displays the model as a grid of icons with labels. Like the TreeView, it allows the user to select one or multiple items (depending on the selection mode - see set_selection_mode()). In addition to selection with the arrow keys, the IconView supports rubberband selection, by dragging the pointer.

Deprecated
  4.10: Use Gtk::GridView instead.

## Member Typedef Documentation

## ◆ SlotForeach

using Gtk::IconView::SlotForeach = sigc::slot<void(const TreeModel::Path&)>

For instance, void on_foreach(const Gtk::TreeModel::Path& path);.

## Constructor & Destructor Documentation

## ◆ IconView() [1/5]

Gtk::IconView::IconView | ( | IconView && | src | ) |
| noexcept

## ◆ IconView() [2/5]

Gtk::IconView::IconView | ( | const IconView & |  | ) |
| delete

## ◆ ~IconView()

Gtk::IconView::~IconView | ( |  | ) |
| overridenoexcept

## ◆ IconView() [3/5]

Gtk::IconView::IconView | ( |  | ) |

## ◆ IconView() [4/5]

Gtk::IconView::IconView | ( | const Glib::RefPtr< TreeModel > & | model | ) |
| explicit

## ◆ IconView() [5/5]

Gtk::IconView::IconView | ( | const Glib::RefPtr< CellArea > & | cell_area | ) |
| explicit

## Member Function Documentation

## ◆ create_drag_icon()

Glib::RefPtr< Gdk::Paintable > Gtk::IconView::create_drag_icon | ( | const TreeModel::Path & | path | ) | const

Creates a Gdk::Paintable representation of the item at path.

This image is used for a drag icon.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | A Gtk::TreePath in icon_view.

Returns
  A newly-allocated Gdk::Paintable of the drag icon.

## ◆ enable_model_drag_dest()

void Gtk::IconView::enable_model_drag_dest | ( | const Glib::RefPtr< const Gdk::ContentFormats > & | formats,
|  | Gdk::DragAction | actions = Gdk::DragAction::COPY|Gdk::DragAction::MOVE )

Turns icon_view into a drop destination for automatic DND.

Calling this method sets Gtk::IconView:reorderable to false.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  formats | The formats that the drag will support.
  actions | The bitmask of possible actions for a drag to this widget.

## ◆ enable_model_drag_source()

void Gtk::IconView::enable_model_drag_source | ( | const Glib::RefPtr< const Gdk::ContentFormats > & | formats,
|  | Gdk::ModifierType | start_button_mask = static_cast< Gdk::ModifierType >(GDK_MODIFIER_MASK),
|  | Gdk::DragAction | actions = Gdk::DragAction::COPY|Gdk::DragAction::MOVE )

Turns icon_view into a drag source for automatic DND.

Calling this method sets Gtk::IconView:reorderable to false.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  start_button_mask | Mask of allowed buttons to start drag.
  formats | The formats that the drag will support.
  actions | The bitmask of possible actions for a drag from this widget.

## ◆ get_activate_on_single_click()

bool Gtk::IconView::get_activate_on_single_click | ( |  | ) | const

Gets the setting set by set_activate_on_single_click().

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  true if item-activated will be emitted on a single click.

## ◆ get_cell_rect() [1/2]

bool Gtk::IconView::get_cell_rect | ( | const TreeModel::Path & | path,
|  | const CellRenderer & | cell,
|  | Gdk::Rectangle & | rect ) const

Fills the bounding rectangle in widget coordinates for the cell specified by path and cell.

If cell is nullptr the main cell area is used.

This function is only valid if icon_view is realized.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | A Gtk::TreePath.
  cell | A Gtk::CellRenderer.
  rect | Rectangle to fill with cell rect.

Returns
  false if there is no such item, true otherwise.

## ◆ get_cell_rect() [2/2]

bool Gtk::IconView::get_cell_rect | ( | const TreeModel::Path & | path,
|  | Gdk::Rectangle & | rect ) const

A get_cell_rect() convenience overload.

## ◆ get_column_spacing()

int Gtk::IconView::get_column_spacing | ( |  | ) | const

Returns the value of the property_column_spacing() property.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The space between columns.

## ◆ get_columns()

int Gtk::IconView::get_columns | ( |  | ) | const

Returns the value of the property_columns() property.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The number of columns, or -1.

## ◆ get_cursor() [1/3]

bool Gtk::IconView::get_cursor | ( | CellRenderer *& | cell | ) | const

Fills in path and cell with the current cursor path and cell.

If the cursor isn't currently set, then path will be empty. If no cell currently has focus, then cell will be nullptr.

Parameters

  [out] | cell | The current focus cell.

Returns
  true if the cursor is set.

## ◆ get_cursor() [2/3]

bool Gtk::IconView::get_cursor | ( | TreeModel::Path & | path | ) | const

Fills in path and cell with the current cursor path and cell.

If the cursor isn't currently set, then path will be empty. If no cell currently has focus, then cell will be nullptr.

Parameters

  [out] | path | The current cursor path.

Returns
  true if the cursor is set.

## ◆ get_cursor() [3/3]

bool Gtk::IconView::get_cursor | ( | TreeModel::Path & | path,
|  | CellRenderer *& | cell ) const

Fills in path and cell with the current cursor path and cell.

If the cursor isn't currently set, then path will be empty. If no cell currently has focus, then cell will be nullptr.

Parameters

  [out] | path | The current cursor path.
  [out] | cell | The current focus cell.

Returns
  true if the cursor is set.

## ◆ get_dest_item_at_pos() [1/3]

bool Gtk::IconView::get_dest_item_at_pos | ( | int | drag_x,
|  | int | drag_y,
|  | DropPosition & | pos ) const

Determines the destination item for a given position.

Parameters

  | drag_x | The position to determine the destination item for.
  | drag_y | the position to determine the destination item for.
  [out] | pos | The drop position.

Returns
  Whether there is an item at the given position.

## ◆ get_dest_item_at_pos() [2/3]

bool Gtk::IconView::get_dest_item_at_pos | ( | int | drag_x,
|  | int | drag_y,
|  | TreeModel::Path & | path ) const

Determines the destination item for a given position.

Parameters

  | drag_x | The position to determine the destination item for.
  | drag_y | the position to determine the destination item for.
  [out] | path | The path of the item.

Returns
  Whether there is an item at the given position.

## ◆ get_dest_item_at_pos() [3/3]

bool Gtk::IconView::get_dest_item_at_pos | ( | int | drag_x,
|  | int | drag_y,
|  | TreeModel::Path & | path,
|  | DropPosition & | pos ) const

Determines the destination item for a given position.

Parameters

  | drag_x | The position to determine the destination item for.
  | drag_y | the position to determine the destination item for.
  [out] | path | The path of the item.
  [out] | pos | The drop position.

Returns
  Whether there is an item at the given position.

## ◆ get_drag_dest_item() [1/3]

void Gtk::IconView::get_drag_dest_item | ( | DropPosition & | pos | ) | const

Gets information about the item that is highlighted for feedback.

Parameters

  [out] | pos | The drop position.

## ◆ get_drag_dest_item() [2/3]

void Gtk::IconView::get_drag_dest_item | ( | TreeModel::Path & | path | ) | const

Gets information about the item that is highlighted for feedback.

Parameters

  [out] | path | The highlighted item.

## ◆ get_drag_dest_item() [3/3]

void Gtk::IconView::get_drag_dest_item | ( | TreeModel::Path & | path,
|  | DropPosition & | pos ) const

Gets information about the item that is highlighted for feedback.

Parameters

  [out] | path | The highlighted item.
  [out] | pos | The drop position.

## ◆ get_icon_width()

int Gtk::IconView::get_icon_width | ( |  | ) | const

Returns the value of the property_item_width() property.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The width of a single item, or -1.

## ◆ get_item_at_pos() [1/3]

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | CellRenderer *& | cell ) const

Finds the path at the point (x, y), relative to widget coordinates.

Parameters

  | x | The x position to be identified.
  | y | The y position to be identified.
  [out] | cell | The renderer responsible for the cell at (x, y).

Returns
  true if an item exists at the specified position.

## ◆ get_item_at_pos() [2/3]

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | TreeModel::Path & | path ) const

Finds the path at the point (x, y), relative to widget coordinates.

Parameters

  | x | The x position to be identified.
  | y | The y position to be identified.
  [out] | path | The path.

Returns
  true if an item exists at the specified position.

## ◆ get_item_at_pos() [3/3]

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | TreeModel::Path & | path,
|  | CellRenderer *& | cell ) const

Finds the path at the point (x, y), relative to widget coordinates.

Parameters

  | x | The x position to be identified.
  | y | The y position to be identified.
  [out] | path | The path.
  [out] | cell | The renderer responsible for the cell at (x, y).

Returns
  true if an item exists at the specified position.

## ◆ get_item_column()

int Gtk::IconView::get_item_column | ( | const TreeModel::Path & | path | ) | const

Gets the column in which the item path is currently displayed.

Column numbers start at 0.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | The Gtk::TreePath of the item.

Returns
  The column in which the item is displayed.

## ◆ get_item_orientation()

Orientation Gtk::IconView::get_item_orientation | ( |  | ) | const

Returns the value of the property_item_orientation() property which determines whether the labels are drawn beside the icons instead of below.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The relative position of texts and icons.

## ◆ get_item_padding()

int Gtk::IconView::get_item_padding | ( |  | ) | const

Returns the value of the property_item_padding() property.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The padding around items.

## ◆ get_item_row()

int Gtk::IconView::get_item_row | ( | const TreeModel::Path & | path | ) | const

Gets the row in which the item path is currently displayed.

Row numbers start at 0.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | The Gtk::TreePath of the item.

Returns
  The row in which the item is displayed.

## ◆ get_margin()

int Gtk::IconView::get_margin | ( |  | ) | const

Returns the value of the property_margin() property.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The space at the borders.

## ◆ get_markup_column()

int Gtk::IconView::get_markup_column | ( |  | ) | const

Returns the column with markup text for icon_view.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The markup column, or -1 if it’s unset.

## ◆ get_model() [1/2]

Glib::RefPtr< TreeModel > Gtk::IconView::get_model | ( |  | ) |

Returns the model the Gtk::IconView is based on.

Returns nullptr if the model is unset.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The currently used Gtk::TreeModel.

## ◆ get_model() [2/2]

Glib::RefPtr< const TreeModel > Gtk::IconView::get_model | ( |  | ) | const

Returns the model the Gtk::IconView is based on.

Returns nullptr if the model is unset.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The currently used Gtk::TreeModel.

## ◆ get_path_at_pos()

TreeModel::Path Gtk::IconView::get_path_at_pos | ( | int | x,
|  | int | y ) const

Gets the path for the icon at the given position.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  x | The x position to be identified.
  y | The y position to be identified.

Returns
  The Gtk::TreePath corresponding to the icon or nullptr if no icon exists at that position.

## ◆ get_pixbuf_column()

int Gtk::IconView::get_pixbuf_column | ( |  | ) | const

Returns the column with pixbufs for icon_view.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The pixbuf column, or -1 if it’s unset.

## ◆ get_reorderable()

bool Gtk::IconView::get_reorderable | ( |  | ) | const

Retrieves whether the user can reorder the list via drag-and-drop.

See set_reorderable().

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  true if the list can be reordered.

## ◆ get_row_spacing()

int Gtk::IconView::get_row_spacing | ( |  | ) | const

Returns the value of the property_row_spacing() property.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The space between rows.

## ◆ get_selected_items()

std::vector< TreePath > Gtk::IconView::get_selected_items | ( |  | ) | const

Creates a list of paths of all selected items.

Additionally, if you are planning on modifying the model after calling this function, you may want to convert the returned list into a list of Gtk::TreeRowReferences. To do this, you can use Gtk::TreeRowReference::new().

To free the return value, use g_list_free_full:

[C example ellipted]

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  A GList containing a Gtk::TreePath for each selected row.

## ◆ get_selection_mode()

SelectionMode Gtk::IconView::get_selection_mode | ( |  | ) | const

Gets the selection mode of the icon_view.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The current selection mode.

## ◆ get_spacing()

int Gtk::IconView::get_spacing | ( |  | ) | const

Returns the value of the property_spacing() property.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The space between cells.

## ◆ get_text_column()

int Gtk::IconView::get_text_column | ( |  | ) | const

Returns the column with text for icon_view.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The text column, or -1 if it’s unset.

## ◆ get_tooltip_column()

int Gtk::IconView::get_tooltip_column | ( |  | ) | const

Returns the column of icon_view’s model which is being used for displaying tooltips on icon_view’s rows.

Deprecated: 4.10: Use Gtk::GridView instead

Returns
  The index of the tooltip column that is currently being used, or -1 if this is disabled.

## ◆ get_tooltip_context_iter()

bool Gtk::IconView::get_tooltip_context_iter | ( | int | x,
|  | int | y,
|  | bool | keyboard_tip,
|  | Gtk::TreeModel::iterator & | iter )

This function is supposed to be used in a Gtk::Widget::query-tooltip signal handler for Gtk::IconView.

The x, y and keyboard_tip values which are received in the signal handler, should be passed to this function without modification.

The return value indicates whether there is an icon view item at the given coordinates (true) or not (false) for mouse tooltips. For keyboard tooltips the item returned will be the cursor item. When true, then the iter which has been provided will be set to point to that row and the corresponding model.

Parameters

  | x | The x coordinate (relative to widget coordinates)
  | y | The y coordinate (relative to widget coordinates)
  | keyboard_tip | Whether this is a keyboard tooltip or not
  [out] | iter | A reference to receive a Gtk::TreeModel::iterator

Returns
  Whether or not the given tooltip context points to an item.

## ◆ get_tooltip_context_path()

bool Gtk::IconView::get_tooltip_context_path | ( | int | x,
|  | int | y,
|  | bool | keyboard_tip,
|  | TreeModel::Path & | path )

This function is supposed to be used in a Gtk::Widget::query-tooltip signal handler for Gtk::IconView.

The x, y and keyboard_tip values which are received in the signal handler, should be passed to this function without modification.

The return value indicates whether there is an icon view item at the given coordinates (true) or not (false) for mouse tooltips. For keyboard tooltips the item returned will be the cursor item. When true, then the path which has been provided will be set to point to that row and the corresponding model.

Parameters

  | x | The x coordinate (relative to widget coordinates)
  | y | The y coordinate (relative to widget coordinates)
  | keyboard_tip | Whether this is a keyboard tooltip or not
  [out] | path | A reference to receive a Gtk::TreePath

Returns
  Whether or not the given tooltip context points to an item.

## ◆ get_type()

GType Gtk::IconView::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_visible_range()

bool Gtk::IconView::get_visible_range | ( | TreeModel::Path & | start_path,
|  | TreeModel::Path & | end_path ) const

Sets start_path and end_path to be the first and last visible path.

Note that there may be invisible paths in between.

Parameters

  [out] | start_path | Return location for start of region.
  [out] | end_path | Return location for end of region.

Returns
  true if valid paths were placed in start_path and end_path.

## ◆ gobj() [1/2]

GtkIconView * Gtk::IconView::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkIconView * Gtk::IconView::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ item_activated()

void Gtk::IconView::item_activated | ( | const TreeModel::Path & | path | ) |

Activates the item determined by path.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | The Gtk::TreePath to be activated.

## ◆ operator=() [1/2]

IconView & Gtk::IconView::operator= | ( | const IconView & |  | ) |
| delete

## ◆ operator=() [2/2]

IconView & Gtk::IconView::operator= | ( | IconView && | src | ) |
| noexcept

## ◆ path_is_selected()

bool Gtk::IconView::path_is_selected | ( | const TreeModel::Path & | path | ) | const

Returns true if the icon pointed to by path is currently selected.

If path does not point to a valid location, false is returned.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | A Gtk::TreePath to check selection on.

Returns
  true if path is selected.

## ◆ property_activate_on_single_click() [1/2]

Glib::PropertyProxy< bool > Gtk::IconView::property_activate_on_single_click | ( |  | ) |

The activate-on-single-click property specifies whether the "item-activated" signal will be emitted after a single click.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activate_on_single_click() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::IconView::property_activate_on_single_click | ( |  | ) | const

The activate-on-single-click property specifies whether the "item-activated" signal will be emitted after a single click.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_cell_area()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< CellArea > > Gtk::IconView::property_cell_area | ( |  | ) | const

The Gtk::CellArea used to layout cell renderers for this view.

If no area is specified when creating the icon view with Gtk::IconView::new_with_area() a Gtk::CellAreaBox will be used.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_column_spacing() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_column_spacing | ( |  | ) |

The column-spacing property specifies the space which is inserted between the columns of the icon view.

Default value: 6

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_column_spacing() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_column_spacing | ( |  | ) | const

The column-spacing property specifies the space which is inserted between the columns of the icon view.

Default value: 6

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_columns() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_columns | ( |  | ) |

The columns property contains the number of the columns in which the items should be displayed.

If it is -1, the number of columns will be chosen automatically to fill the available area.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_columns() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_columns | ( |  | ) | const

The columns property contains the number of the columns in which the items should be displayed.

If it is -1, the number of columns will be chosen automatically to fill the available area.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_item_orientation() [1/2]

Glib::PropertyProxy< Orientation > Gtk::IconView::property_item_orientation | ( |  | ) |

The item-orientation property specifies how the cells (i.e. the icon and the text) of the item are positioned relative to each other.

Default value: Gtk::Orientation::VERTICAL

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_item_orientation() [2/2]

Glib::PropertyProxy_ReadOnly< Orientation > Gtk::IconView::property_item_orientation | ( |  | ) | const

The item-orientation property specifies how the cells (i.e. the icon and the text) of the item are positioned relative to each other.

Default value: Gtk::Orientation::VERTICAL

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_item_padding() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_item_padding | ( |  | ) |

The item-padding property specifies the padding around each of the icon view's item.

Default value: 6

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_item_padding() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_item_padding | ( |  | ) | const

The item-padding property specifies the padding around each of the icon view's item.

Default value: 6

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_item_width() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_item_width | ( |  | ) |

The item-width property specifies the width to use for each item.

If it is set to -1, the icon view will automatically determine a suitable item size.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_item_width() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_item_width | ( |  | ) | const

The item-width property specifies the width to use for each item.

If it is set to -1, the icon view will automatically determine a suitable item size.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_margin() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_margin | ( |  | ) |

The margin property specifies the space which is inserted at the edges of the icon view.

Default value: 6

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_margin() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_margin | ( |  | ) | const

The margin property specifies the space which is inserted at the edges of the icon view.

Default value: 6

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_markup_column() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_markup_column | ( |  | ) |

The property_markup_column() property contains the number of the model column containing markup information to be displayed.

The markup column must be of type G_TYPE_STRING. If this property and the :text-column property are both set to column numbers, it overrides the text column. If both are set to -1, no texts are displayed.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_markup_column() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_markup_column | ( |  | ) | const

The property_markup_column() property contains the number of the model column containing markup information to be displayed.

The markup column must be of type G_TYPE_STRING. If this property and the :text-column property are both set to column numbers, it overrides the text column. If both are set to -1, no texts are displayed.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_model() [1/2]

Glib::PropertyProxy< Glib::RefPtr< TreeModel > > Gtk::IconView::property_model | ( |  | ) |

The model of the icon view.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_model() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< TreeModel > > Gtk::IconView::property_model | ( |  | ) | const

The model of the icon view.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixbuf_column() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_pixbuf_column | ( |  | ) |

The property_pixbuf_column() property contains the number of the model column containing the pixbufs which are displayed.

The pixbuf column must be of type GDK_TYPE_PIXBUF. Setting this property to -1 turns off the display of pixbufs.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixbuf_column() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_pixbuf_column | ( |  | ) | const

The property_pixbuf_column() property contains the number of the model column containing the pixbufs which are displayed.

The pixbuf column must be of type GDK_TYPE_PIXBUF. Setting this property to -1 turns off the display of pixbufs.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_reorderable() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_reorderable | ( |  | ) |

The reorderable property specifies if the items can be reordered by DND.

Default value: false

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_reorderable() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_reorderable | ( |  | ) | const

The reorderable property specifies if the items can be reordered by DND.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_row_spacing() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_row_spacing | ( |  | ) |

The row-spacing property specifies the space which is inserted between the rows of the icon view.

Default value: 6

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_row_spacing() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_row_spacing | ( |  | ) | const

The row-spacing property specifies the space which is inserted between the rows of the icon view.

Default value: 6

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_selection_mode() [1/2]

Glib::PropertyProxy< SelectionMode > Gtk::IconView::property_selection_mode | ( |  | ) |

The property_selection_mode() property specifies the selection mode of icon view.

If the mode is Gtk::SelectionMode::MULTIPLE, rubberband selection is enabled, for the other modes, only keyboard selection is possible.

Default value: Gtk::SelectionMode::SINGLE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_selection_mode() [2/2]

Glib::PropertyProxy_ReadOnly< SelectionMode > Gtk::IconView::property_selection_mode | ( |  | ) | const

The property_selection_mode() property specifies the selection mode of icon view.

If the mode is Gtk::SelectionMode::MULTIPLE, rubberband selection is enabled, for the other modes, only keyboard selection is possible.

Default value: Gtk::SelectionMode::SINGLE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_spacing() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_spacing | ( |  | ) |

The spacing property specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_spacing() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_spacing | ( |  | ) | const

The spacing property specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_column() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_text_column | ( |  | ) |

The property_text_column() property contains the number of the model column containing the texts which are displayed.

The text column must be of type G_TYPE_STRING. If this property and the :markup-column property are both set to -1, no texts are displayed.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_column() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_text_column | ( |  | ) | const

The property_text_column() property contains the number of the model column containing the texts which are displayed.

The text column must be of type G_TYPE_STRING. If this property and the :markup-column property are both set to -1, no texts are displayed.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tooltip_column() [1/2]

Glib::PropertyProxy< int > Gtk::IconView::property_tooltip_column | ( |  | ) |

The column of the icon view model which is being used for displaying tooltips on it's rows.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tooltip_column() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_tooltip_column | ( |  | ) | const

The column of the icon view model which is being used for displaying tooltips on it's rows.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ scroll_to_path()

void Gtk::IconView::scroll_to_path | ( | const TreeModel::Path & | path,
|  | bool | use_align,
|  | float | row_align,
|  | float | col_align )

Moves the alignments of icon_view to the position specified by path.

row_align determines where the row is placed, and col_align determines where column is placed. Both are expected to be between 0.0 and 1.0. 0.0 means left/top alignment, 1.0 means right/bottom alignment, 0.5 means center.

If use_align is false, then the alignment arguments are ignored, and the tree does the minimum amount of work to scroll the item onto the screen. This means that the item will be scrolled to the edge closest to its current position. If the item is currently visible on the screen, nothing is done.

This function only works if the model is set, and path is a valid row on the model. If the model changes before the icon_view is realized, the centered path will be modified to reflect this change.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | The path of the item to move to.
  use_align | Whether to use alignment arguments, or false.
  row_align | The vertical alignment of the item specified by path.
  col_align | The horizontal alignment of the item specified by path.

## ◆ select_all()

void Gtk::IconView::select_all | ( |  | ) |

Selects all the icons.

icon_view must has its selection mode set to Gtk::SelectionMode::MULTIPLE.

Deprecated: 4.10: Use Gtk::GridView instead

## ◆ select_path()

void Gtk::IconView::select_path | ( | const TreeModel::Path & | path | ) |

Selects the row at path.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | The Gtk::TreePath to be selected.

## ◆ selected_foreach()

void Gtk::IconView::selected_foreach | ( | const SlotForeach & | slot | ) |

Calls a function for each selected icon.

Note that the model or selection cannot be modified from within this function.

Parameters

  Slots | The callback to call for each selected icon.

## ◆ set_activate_on_single_click()

void Gtk::IconView::set_activate_on_single_click | ( | bool | single = true | ) |

Causes the Gtk::IconView::item-activated signal to be emitted on a single click instead of a double click.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  single | true to emit item-activated on a single click.

## ◆ set_column_spacing()

void Gtk::IconView::set_column_spacing | ( | int | column_spacing | ) |

Sets the property_column_spacing() property which specifies the space which is inserted between the columns of the icon view.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  column_spacing | The column spacing.

## ◆ set_columns()

void Gtk::IconView::set_columns | ( | int | columns | ) |

Sets the property_columns() property which determines in how many columns the icons are arranged.

If columns is -1, the number of columns will be chosen automatically to fill the available area.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  columns | The number of columns.

## ◆ set_cursor() [1/2]

void Gtk::IconView::set_cursor | ( | const TreeModel::Path & | path,
|  | bool | start_editing )

A set_cursor() convenience overload.

## ◆ set_cursor() [2/2]

void Gtk::IconView::set_cursor | ( | const TreeModel::Path & | path,
|  | CellRenderer & | cell,
|  | bool | start_editing )

Sets the current keyboard focus to be at path, and selects it.

This is useful when you want to focus the user’s attention on a particular item. If cell is not nullptr, then focus is given to the cell specified by it. Additionally, if start_editing is true, then editing should be started in the specified cell.

This function is often followed by gtk_widget_grab_focus (icon_view) in order to give keyboard focus to the widget. Please note that editing can only happen when the widget is realized.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | A Gtk::TreePath.
  cell | One of the cell renderers of icon_view.
  start_editing | true if the specified cell should start being edited.

## ◆ set_drag_dest_item()

void Gtk::IconView::set_drag_dest_item | ( | const TreeModel::Path & | path,
|  | DropPosition | pos )

Sets the item that is highlighted for feedback.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | The path of the item to highlight.
  pos | Specifies where to drop, relative to the item.

## ◆ set_item_orientation()

void Gtk::IconView::set_item_orientation | ( | Orientation | orientation | ) |

Sets the property_item_orientation() property which determines whether the labels are drawn beside the icons instead of below.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  orientation | The relative position of texts and icons.

## ◆ set_item_padding()

void Gtk::IconView::set_item_padding | ( | int | item_padding | ) |

Sets the Gtk::IconView:item-padding property which specifies the padding around each of the icon view’s items.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  item_padding | The item padding.

## ◆ set_item_width()

void Gtk::IconView::set_item_width | ( | int | item_width | ) |

Sets the property_item_width() property which specifies the width to use for each item.

If it is set to -1, the icon view will automatically determine a suitable item size.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  item_width | The width for each item.

## ◆ set_margin()

void Gtk::IconView::set_margin | ( | int | margin | ) |

Sets the property_margin() property which specifies the space which is inserted at the top, bottom, left and right of the icon view.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  margin | The margin.

## ◆ set_markup_column() [1/2]

void Gtk::IconView::set_markup_column | ( | const TreeModelColumnBase & | column | ) |

Sets the column with markup information for icon_view to be column.

The markup column must be of type G_TYPE_STRING. If the markup column is set to something, it overrides the text column set by set_text_column().

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  column | A column in the currently used model, or -1 to display no text.

## ◆ set_markup_column() [2/2]

void Gtk::IconView::set_markup_column | ( | int | column | ) |

Sets the column with markup information for icon_view to be column.

The markup column must be of type G_TYPE_STRING. If the markup column is set to something, it overrides the text column set by set_text_column().

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  column | A column in the currently used model, or -1 to display no text.

## ◆ set_model()

void Gtk::IconView::set_model | ( | const Glib::RefPtr< TreeModel > & | model | ) |

Sets the model for a Gtk::IconView.

If the icon_view already has a model set, it will remove it before setting the new model. Use unset_model() to unset the old model.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  model | The model.

## ◆ set_pixbuf_column() [1/2]

void Gtk::IconView::set_pixbuf_column | ( | const TreeModelColumnBase & | column | ) |

Sets the column with pixbufs for icon_view to be column.

The pixbuf column must be of type GDK_TYPE_PIXBUF

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  column | A column in the currently used model, or -1 to disable.

## ◆ set_pixbuf_column() [2/2]

void Gtk::IconView::set_pixbuf_column | ( | int | column | ) |

Sets the column with pixbufs for icon_view to be column.

The pixbuf column must be of type GDK_TYPE_PIXBUF

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  column | A column in the currently used model, or -1 to disable.

## ◆ set_reorderable()

void Gtk::IconView::set_reorderable | ( | bool | reorderable = true | ) |

This function is a convenience function to allow you to reorder models that support the Gtk::TreeDragSourceIface and the Gtk::TreeDragDestIface.

Both Gtk::TreeStore and Gtk::ListStore support these. If reorderable is true, then the user can reorder the model by dragging and dropping rows. The developer can listen to these changes by connecting to the model's row_inserted and row_deleted signals. The reordering is implemented by setting up the icon view as a drag source and destination. Therefore, drag and drop can not be used in a reorderable view for any other purpose.

This function does not give you any degree of control over the order – any reordering is allowed. If more control is needed, you should probably handle drag and drop manually.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  reorderable | true, if the list of items can be reordered.

## ◆ set_row_spacing()

void Gtk::IconView::set_row_spacing | ( | int | row_spacing | ) |

Sets the property_row_spacing() property which specifies the space which is inserted between the rows of the icon view.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  row_spacing | The row spacing.

## ◆ set_selection_mode()

void Gtk::IconView::set_selection_mode | ( | SelectionMode | mode | ) |

Sets the selection mode of the icon_view.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  mode | The selection mode.

## ◆ set_spacing()

void Gtk::IconView::set_spacing | ( | int | spacing | ) |

Sets the property_spacing() property which specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  spacing | The spacing.

## ◆ set_text_column() [1/2]

void Gtk::IconView::set_text_column | ( | const TreeModelColumnBase & | model_column | ) |

Sets the column with text for icon_view to be model_column.

The text column must be of type G_TYPE_STRING.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  model_column | A column in the currently used model, or -1 to display no text.

## ◆ set_text_column() [2/2]

void Gtk::IconView::set_text_column | ( | int | column | ) |

Sets the column with text for icon_view to be column.

The text column must be of type G_TYPE_STRING.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  column | A column in the currently used model, or -1 to display no text.

## ◆ set_tooltip_cell() [1/2]

void Gtk::IconView::set_tooltip_cell | ( | const Glib::RefPtr< Tooltip > & | tooltip,
|  | const TreeModel::Path & | path )

Sets the tip area of tooltip to the area occupied by the item pointed to by path.

See also Tooltip::set_tip_area().

Parameters

  tooltip | A Gtk::Tooltip.
  path | A Gtk::TreePath.

## ◆ set_tooltip_cell() [2/2]

void Gtk::IconView::set_tooltip_cell | ( | const Glib::RefPtr< Tooltip > & | tooltip,
|  | const TreeModel::Path & | path,
|  | CellRenderer & | cell )

Sets the tip area of tooltip to the area which cell occupies in the item pointed to by path.

See also Gtk::Tooltip::set_tip_area().

See also set_tooltip_column() for a simpler alternative.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  tooltip | A Gtk::Tooltip.
  path | A Gtk::TreePath.
  cell | A Gtk::CellRenderer.

## ◆ set_tooltip_column()

void Gtk::IconView::set_tooltip_column | ( | int | column | ) |

If you only plan to have simple (text-only) tooltips on full items, you can use this function to have Gtk::IconView handle these automatically for you.

column should be set to the column in icon_view’s model containing the tooltip texts, or -1 to disable this feature.

When enabled, GtkWidget:has-tooltip will be set to true and icon_view will connect a GtkWidget::query-tooltip signal handler.

Note that the signal handler sets the text with Gtk::Tooltip::set_markup(), so &, <, etc have to be escaped in the text.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  column | An integer, which is a valid column number for icon_view’s model.

## ◆ set_tooltip_item()

void Gtk::IconView::set_tooltip_item | ( | const Glib::RefPtr< Tooltip > & | tooltip,
|  | const TreeModel::Path & | path )

Sets the tip area of tooltip to be the area covered by the item at path.

See also set_tooltip_column() for a simpler alternative. See also Gtk::Tooltip::set_tip_area().

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  tooltip | A Gtk::Tooltip.
  path | A Gtk::TreePath.

## ◆ signal_item_activated()

Glib::SignalProxy< void(const TreeModel::Path &)> Gtk::IconView::signal_item_activated | ( |  | ) |

Slot Prototype:
  void on_my_item_activated(const TreeModel::Path& path)

Flags: Run Last

The signal_item_activated() signal is emitted when the method Gtk::IconView::item_activated() is called, when the user double clicks an item with the "activate-on-single-click" property set to false, or when the user single clicks an item when the "activate-on-single-click" property set to true. It is also emitted when a non-editable item is selected and one of the keys: Space, Return or Enter is pressed.

Parameters

  path | The Gtk::TreePath for the activated item.

## ◆ signal_selection_changed()

Glib::SignalProxy< void()> Gtk::IconView::signal_selection_changed | ( |  | ) |

Slot Prototype:
  void on_my_selection_changed()

Flags: Run First

The signal_selection_changed() signal is emitted when the selection (i.e. the set of selected items) changes.

## ◆ unselect_all()

void Gtk::IconView::unselect_all | ( |  | ) |

Unselects all the icons.

Deprecated: 4.10: Use Gtk::GridView instead

## ◆ unselect_path()

void Gtk::IconView::unselect_path | ( | const TreeModel::Path & | path | ) |

Unselects the row at path.

Deprecated: 4.10: Use Gtk::GridView instead

Parameters

  path | The Gtk::TreePath to be unselected.

## ◆ unset_model()

void Gtk::IconView::unset_model | ( |  | ) |

Remove the model from the IconView.

See also
  set_model().

## ◆ unset_model_drag_dest()

void Gtk::IconView::unset_model_drag_dest | ( |  | ) |

Undoes the effect of enable_model_drag_dest().

Calling this method sets Gtk::IconView:reorderable to false.

Deprecated: 4.10: Use Gtk::GridView instead

## ◆ unset_model_drag_source()

void Gtk::IconView::unset_model_drag_source | ( |  | ) |

Undoes the effect of enable_model_drag_source().

Calling this method sets Gtk::IconView:reorderable to false.

Deprecated: 4.10: Use Gtk::GridView instead

## Friends And Related Symbol Documentation

## ◆ wrap()

Gtk::IconView * wrap | ( | GtkIconView * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.